Subject: Re: bug#64574: [PATCH] Support not jumping to bol in beginning-of-defun

From: Stefan Kangas <[email-masked]>
Date: Sun, 3 Sep 2023 04:44:30 -0700

Spencer Baugh <[email-masked]> writes:

> Users at my site have expressed a preference for this (including me,
> once I thought about it enough to realize I don't like the default
> behavior).  And Jim Porter just mentioned that they would prefer this
> too.

I'd use it too.

>>> +(defvar beginning-of-defun-go-beginning-of-line t
>>
>> Why not defcustom?
>>
>> And I would use a shorter name, like beginning-of-defun-go-bol.
>
> Can do.

Perhaps `beginning-of-defun-jumps-to-bol'?

>>>From be03d6e994303c3f32d676194f6f31e89917013e Mon Sep 17 00:00:00 2001
> From: Spencer Baugh <[email-masked]>
> Date: Tue, 11 Jul 2023 14:14:34 -0400
> Subject: [PATCH] Support not jumping to bol in beginning-of-defun
>
> As mentioned in the commit, this default behavior by
> beginning-of-defun may be undesirable in some languages and major
> modes.  I'm thinking of OCaml in particular here, but it's also
> arguably unwanted in Python and C++ as well, where defs may be
> indented inside class definitions.  Let's let the user make this
> decision.

Your patch still lacks a NEWS item before it can be installed.